ServoyForge (the website) - Feature #18

Extending the signtester tool
06/24/2010 05:30 AM - Patrick Talbot

Status: Closed Start date: 06/24/2010
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 0%
Category: core Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

1 Is it possible to add an extra property to only unsign & resign new jars?

For example:

If we receive a new jar from a plugin or something, we now run the resigner again, and EVERYTHING is resigned, also the customer
MUST download everything again....

Customers are complaining about that, with new versions of plugins.

2 Also an xml validator would be very nice (for jnlp files), sometimes plugins still contains illegal character, like

1. <?xml version="1.0;" encoding="UTF-8;" ?> (the ';' is wrong here) or
2. <vendor>Dr. Maison & Partner GmbH</vendor> must be: <vendor>Dr. Maison & Partner GmbH</vendor>

3 Maybe a visual signtester.jar would be nice, so we can see which jars are signed with what certificate, and visually select the jars to
unsign/resign...

(Created on behalf of Harjo Kompagnie)

History

#1 - 06/24/2010 05:35 AM - Patrick Talbot

- Assignee set to Patrick Talbot

This is a very good idea, and | think that | could create a new project on ServoyForge to start working on it.

There is certainly room for improvements of this tool which now that the security has been so much tightened in Java 6 is getting more and more
crucial to easy deployment.

I need first to get permission from Johan Compagner who wrote the tool in the first place.

Feel free to add comments to this feature request.

#2 - 06/25/2010 12:01 AM - Patrick Talbot

- Category set to core

#3 - 11/16/2010 11:50 PM - Robert Ivens

| guess this case can be closed since the signtester has it's own project now?

#4 - 11/17/2010 12:24 AM - Patrick Talbot

- Status changed from New to Closed
